Security and privacy

 
 
Picture of alex crampton
Invalid Login all the time.
 

Hi All,

I am using Simplescripts to install Moodle onto a hosted server from ipage.

The installation completes with no errors but i cant login no matter what. The admin login doesnt work and nor does the guest login. It just gives me a "invalid login, please try again".

Ive uninstalled , deleted files and reinstalled 3 times now.

And now im completely lost to what im doing wrong or needs to be done.

Moodle 2.3.2
PHP 5.3.13
mySQL 5.0.91-log

If anyone can help me out. thanks in advance

Alex

 
Average of ratings: -
Picture of amy Doty
Re: Invalid Login all the time.
 

I have also tried to no avail.  The only thing I can think is that Moodle 2.3  Requires: PHP 5.3.2, MySQL 5.1.33 and ipage is still on php 5.1.13 and mySQL 5.0.91

Did you find a solution?

 
Average of ratings: -
Picture of Mark Iannone
Re: Invalid Login all the time.
 

You need to phone the techs at ipage and have them increase the php to 5.3.2 and the mySQL to 5.1.13. The server cannot read the moodle code, so it does not let you login. If they cannot do it, you need to get a different host. I suggest Host Gator. I had to switch because of the same problem and everything works nicely now and it can handle 7 blocks of 30 chemistry students.

 
Average of ratings: -
Picture of Ken Task
Re: Invalid Login all the time.
Group Particularly helpful Moodlers

https://www.simplescripts.com/hosting

https://www.simplescripts.com/script_details/install:Moodle

says it installs via FTP version 2.3.2 of Moodle.  FTP has been known to hicup and not transfer all files ... plus permissions on files/folders have to be set appropriately for the hosting providers system (not all, of which, are alike).

https://www.simplescripts.com/script_details/install:Moodle#issues

Also says to contact them if there are issues.  Now I know that means you are now in the middle ... between hosting provider and simple scripts/community support and then using this community for support. 

Hmmmmm ... not a good position to be in.  The only persons here that would know for sure would have to have used the same script with the same hosting provider.  The rest of us can only provide best/educated guess based upon information shared/provided.  Don't be surprised if there are more questions than answers here because of that.

'spirit of sharing', Ken

 
Average of ratings: -
Picture of Nick Barnes
Re: Invalid Login all the time.
 

I've been running into the same problem with IPage. For the moment they don't support Moodle beyond version 1.9.10 (because of issues with PHP version as suggested here). 

So, if you want the latest version of Moodle don't choose IPage.

 
Average of ratings: -